lubuntu 19.04 daily - pcmanfm-qt (dolphin..) moves window position on opening device, folders or adjust size of windows (when on 2nd display only with vertical placement)

Bug #1804329 reported by Chris Guiver on 2018-11-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lxqt-session (Ubuntu)
Undecided
Unassigned

Bug Description

QA-test of Lubuntu 19.04 (x86_64) on
"hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)"

and I'm getting lots of strange behavior on windows.. this for now will cover the first noticed.

I have two monitors, both 1920x1080 in vertical arrangement (one above the other). I boot 'live' image, and then navigate to preferences->LXQt.settings->Monitor.settings then select 'Set position tab'. Here I move the display that for me starts as the default-right (called DP-1 on this box) so it's positioned below the originally-left-positioned monitor (DVI-I-1 its called on this box).
- monitor1 refers to the default-left monitor as the system boots, or what becomes my 'top'
- monitor2 refers to the default-right monitor I've moved to lower position early in description
two monitors; 'main' is the top (how its connected), secondary is below and slightly left..

With pcmanfm-qt somewhere near middle of monitor2, I was exploring my hdd & opened a partition and the window moves. The pcmanfm-qt window jumped, and now top of it [window] is on monitor1 (top) and most on monitor2.

I drag it back to all on monitor2 and pick another partition - it MOVEs again

(this was repeated, each time I moved it to anywhere fully on monitor2 it warped to top being on monitor1, and most of monitor2 if I selected a suse partition (data or system). IF however i had the window fully on monitor1 (my top) it would stay put & wouldn't move. I would get the strange behavior on switch to EITHER SUSE partition. It would sometimes move if I selected a fedora partition (sys or data), but ALWAYS did it for SUSE (if windows was fully on monitor2)

--

I already had terminal open, so switched started `ubuntu-bug pcmanfm-qt` which has led to this report... I hadn't taken photos so I took some (which will be added). ubuntu-bug opened firefox & firefox window opens strangely on monitor2 (another pic; i may add to this, or another bug, another pic), then to get specs of machine ctrl-alt-T & term-opens mostly-off-screen (monitor1). all I suspect are related due I think to my monitor setup/positioning, but I'll deal with pcmanfm-qt first

I'll file the other strange window behavior in another bug, as I'm getting strange behavior (described above) in pcmanfm-qt on choosing partitions that sometimes causes the jump, sometimes no (eg. not always does it jump when I select a fedora partition? but suse partition appears to always cause jump).

strange window behavior reported on https://bugs.launchpad.net/ubuntu/+source/openbox/+bug/1804337
note: as stated elsewhere, if that is fixed, this bug report becomes moot as it'd not be noticed (ie. inconsistent behavior in pcmanfm-qt on switching devices (partitions) - so what if it redraws; I only noticed due to screen position changes!)

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: pcmanfm-qt 0.13.0-2ubuntu2
ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
Uname: Linux 4.18.0-11-generic x86_64
ApportVersion: 2.20.10-0ubuntu14
Architecture: amd64
CasperVersion: 1.400
CurrentDesktop: LXQt
Date: Tue Nov 20 22:34:13 2018
LiveMediaBuild: Lubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181120)
SourcePackage: pcmanfm-qt
UpgradeStatus: No upgrade log present (probably fresh install)

---
additional info:

in (comment) #12 on a later QA-test I noticed Qterminal exhibit the same behavior. More significantly I got so annoyed with pcmanfm-qt that I `sudo apt install dolphin` & started using `dolphin`.

Dolphin running on the Lubuntu 19.04 daily 'live' ISO exhibits the same behavior - so my classification of this as a pcmanfm-qt issue has to be incorrect!

In original qa-test I positioned the default-right/my-bottom monitor2 slightly left & below of monitor1. In later tests I put it directly below & I got the same results. I can only occur this problem when positioned vertically like I've described.

---
2019-04-11 - This is NOT a Lubuntu only issue.

I recently installed opensuse tumbleweed over a sick leap install on my hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600) box - and it exhibits the identical behavior when using LXQt.
https://bugzilla.opensuse.org/show_bug.cgi?id=1132176

Filed upstream: https://github.com/lxqt/lxqt/issues/1703

Chris Guiver (guiverc) wrote :
Chris Guiver (guiverc) wrote :

this was 2nd pic taken (I just didn't have picture before move), but this shows rough position before I clicked on another 'device' in pcman-fm.

note: on uploading this attachment, the select-window appeared part on my monitor2 (as described above), and part on monitor1 -- this window-positioning I'll file in different report; related I think yes, but i'm separating as pcmanfm-qt behavior appeared to be related to chosen partition (ie. it occurred always on suse partitions, but rarely on fedora partitions..)

Chris Guiver (guiverc) wrote :

monitor1 is top - what lubuntu see's as main (due connection no doubt)
monitor2 is bottom, where window was fully in before I clicked 'fed_dat' device/partition

lower monitor is left of top monitor (yeah my setup is weird).
panel of top monitor (monitor1) can be used to see where top monitor is positioned.. top of moved window is off-screen

hopefully no-one else has my strange monitor positioning - so hopefully no-one else will notice?
but the fact that it didn't always occur, makes me think something in pcmanfm-qt is related & thus why strange-display-positions for qterminal/firefox/lximage-qt will be covered elsewhere, even though it does relate when it comes to position of where drawn... sorry if I jumped wrong way (a close call)

Chris Guiver (guiverc) wrote :

sorry clicked wrong button, the last image shows it didn't always appear in the same position. it jumped left yes, but the last comment (#5) was play as I wrote this bug-report, and the window was positioned to the right of firefox on monitor2 (bottom) before I clicked fed-dat and it moved.. in this 'warp' it only moved slighly left (thus covering part of firefox) instead of all the way to left of monitor (though it was further right before warp than most my other tests).

(the [left] warp factor is not a constant; could be related to window; less as firefox was there so it warped less to left?? - observation; sorry if this is unclear)

Chris Guiver (guiverc) wrote :

why separate - pcmanfm-qt causes a redraw sometimes (which causes window position to warp) but nother others.. i wouldn't notice this were my windows not warping to another location on screen, but it's why i'm filing this here.. if the window-warp issue is removed though - this pcmanfm-qt issue is moot anyway...

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1804329

tags: added: iso-testing
Chris Guiver (guiverc) on 2018-11-21
description: updated
Chris Guiver (guiverc) on 2018-11-21
summary: - lubuntu 19.04 daily - pcmanfm-qt moves window on opening device (middle
- of displays
+ lubuntu 19.04 daily - pcmanfm-qt moves window on opening device (two
+ displays)

experimenting with this today; I noticed my pcmanfm-qt window is jumping on selection of a subdirectory (not just change of device/partition).

I have the displays configured one directly above the other (display0/monitor0 @ top, display1/monitor1 @ bottom) and the pcmanfm-qt window appears to jump so its panel is on the top display0/monitor0, with the rest on display1/monitor1 which is where I'm actually working and where the window was before it moved/jumped.

(this is the same daily image I was testing on initial bug-report; it has not been updated)

Chris Guiver (guiverc) wrote :

QA-test today on same "hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)"

I've configured the two monitors as if one is directly above the other (they are vertically stacked with slight horizontal difference I'm ignoring).

When I click on folders in `pcmanfm-qt` the position of this window moves to another part of the screen partially on one display, most on the second display. When it's positioned on display0 (primary display), there is no movement. It only 'jumps' when the window is positioned on display1 (secondary display). Once it's moved, if I don't move the window - it won't move again; but it's positioned part on each display & I can't see the file/edit/view/bookmarks/.. menu as it's hidden by display0 panel

Same behavior as on first report.

Chris Guiver (guiverc) on 2019-01-18
summary: - lubuntu 19.04 daily - pcmanfm-qt moves window on opening device (two
- displays)
+ lubuntu 19.04 daily - pcmanfm-qt moves window on opening device, folders
+ or adjust size of windows (two displays, 2nd display only)

still on QA-test today on same "hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)"

If `pcmanfm-qt` is on the 2nd display, and I try and adjust the window size, the window jumps to the position where top is hidden by panel on display0, main part is display1. If I don't immediately let go of mouse-button (which is what I tended to do), I can still adjust it's size, but my mouse is a huge-distance from the bottom right corner of window.

The menu's don't display when `pcmanfm-qt` is on display1 (non-primary-display) with behavior described in https://bugs.launchpad.net/ubuntu/+source/lxqt-panel/+bug/1810079.

I experimented with each corner to see if the window jumped - it only occurred when I tried to adjust the window size using the bottom right corner of the window, however it didn't occur every time (but did most of the time). I believe if I adjust size [of window] using any other corner, or middle-edge-of-window (ie. anywhere else but bottom-right corner), THEN tried to adjust using bottom-right corner it wouldn't jump strangely. If however I clicked on a menu (say view) then adjusted size-of-window using bottom-right-corner it would jump (but repeated testing seemed to miss-prove this theory...)

**
If I adjusted displays (using Monitor-Settings) to be left-right or next to each other horizontally, I'd get expected behavior. Readjusting monitors to be in vertical fashion and strange jumping-window behavior returned. I switched my monitors in Monitor-settings so the monitors were reversed (my top monitor showed as being at bottom, my bottom as if top in settings) and pcmanfm-qt window jumped again.
**

Chris Guiver (guiverc) wrote :

I've linked this with pcmanfm-qt as it's mostly where I find this issue annoying me. Still running the QA-test 'live' 19.04 daily image, and I just had Qterminal window move on me.

I got annoyed by (https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1812342) menu not displaying when window is on 2nd monitor (top menu & right-click menu) that I loaded `dolphin` onto the system and started using that.

Dolphin changes position too - so it's not limited to pcmanfm-qt ; and this bug is assigned to the wrong program (not a pcmanfm-qt bug!)

I'll copy this to main window (leaving comment for date/time stamp).

summary: - lubuntu 19.04 daily - pcmanfm-qt moves window on opening device, folders
- or adjust size of windows (two displays, 2nd display only)
+ lubuntu 19.04 daily - pcmanfm-qt (dolphin..) moves window position on
+ opening device, folders or adjust size of windows (when on 2nd display
+ only with vertical placement)
description: updated
Chris Guiver (guiverc) wrote :

this needs a re-test; it's not doing it on my installed (& rather modified) lubuntu 19.04 system on d960 I just realized. i don't often qa-test with this box (it's usually running & where I enter comments etc) but has same [vertical] screen placement. maybe it's related to video driver? or no longer an issue. i need to re-test

Chris Guiver (guiverc) wrote :

QA-Test 2019-02-16 on hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)
// 19.04 daily x86_64
// following are selected portions copied/pasted from QA-test report.

change monitor-settings to match my [weird] vertical setup (one monitor above other)

my left open pcmanfm-qt & firefox windows got pushed [mostly] off screen, but i was able to drag back correctly...

firefox now on lower (was right most monitor before change) & maximize goes full width but nothing viewable - https://bugs.launchpad.net/ubuntu/+source/lxqt-session/+bug/1809201 but expected behavior if on other window..

pcmanfm-qt operates as expected on top (was left) display, but when moved to bottom (was right) display it warps/moves between displays on switching folders, or devices - https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1804329

with pcmanfm-qt on lower (was right, now lower) display menus do not display (normal behavior on other display) - https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1812342

vlc now playing mp3; it maximizes on 2nd display as per firefox..

..

i adjusted monitor-settings back to left-right configuration (as it was when booted) & re-did some of the above bug-report tests,

// this issue was NOT recreated after last change (no issue like when qa-test first started; it only can be created when screens vertically aligned in settings)

Chris Guiver (guiverc) wrote :
Download full text (3.4 KiB)

2019-02-17 19:30 QA-Test Lubuntu 19.04 daily (live)

// the following is selected bits pasted from my QA-TEST comment
// note in prior cut/pastes I only pasted the bit relating to each specific bug, but as they all relate (none occur until I change orientation of displays, then all are annoying-bugs, but if I change back display.orientation they all disappear) this will be all (without exceptions removed, eg. screensaver is different issue)

dell [optiplex] 960 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350)

/ plan is some simple stuff, then change setup to my used setup (vertical layout of my monitors)
// this is my most used system which has run Lubuntu 19.04 for all 2019; before then was mostly XFCE (a Ubuntu install back when 17.10 was testing with Xubuntu and Lubuntu added). I have been having fewer issues with display strangeness of my installed system than prior QA-tests using 'live' so this will be focus again today (as per recent hp8200 test)

pcmanfm-qt to play (expecting no issues before I re-arrange monitors, selecting random devices, folders, minimize, maximize
firefox (ublock origin, stream utube as window, f11, fullscreen on each monitor, maximize, minimize etc)
searching for an starting some music (dc7700 where I log this has poor speakers & it's annoying me), found some so `vlc` will be playing music from now on

// then adjust displays to my vertical placement & re-do what I just did...
// note: possibly typos on this system, I'm having issues with this model.m kbd browser & this dc7700 running ubu 14.04 (installed) that I normally don't have, so apologies for any strange things..

ZERO issues at this point on either screen, everything performs perfectly (as expected).
Closed pcmanfm-qt & firefox (vlc still running for background music)
Now change orientation of displays, pref->lxqtsett->monitor.settings_set.position
DVI-1 is setup directly BELOW DVI-0 (my real setup has slight horizontal diff, but that creates more issues I now ignore for qa-testing; vertical arrangement is simpler to replicate)
drag VLC so it's full onscreen (only left part was visible - ignoring this)..

pcmanfm-qt is perfect on top (dvi0) screen, selecting different folders or devices has no issue, selecting menus display as expected.. move it to dvd1 (bottom display) and warps/moves around screen partially obscured by panel & part on display0, part on display1 - https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1804329 & https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1812342
if i maximize pcmanfm-qt (dvi1, was good on dvi0) it goes full width but is only using ~2cm of display & so it useless https://bugs.launchpad.net/ubuntu/+source/lxqt-session/+bug/1809201 .. on minimize I get https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1804329

This is my USED system, and yet don't suffer this. Yes my system is hugely modified (xubuntu & ubuntu are installed, lots of apps, lots of changes but mostly to xfce)...

..
opened qterminal (ctrl+alt+T) and maximized, fine on dvi0, but fullwidth & no only top panel (no black area visible on maximized (https://bugs.launchpad.net/ubuntu/+source/lxqt-session/+bug/1809201)
..

i cha...

Read more...

Chris Guiver (guiverc) wrote :
Download full text (4.4 KiB)

2019-02-17 19:30 QA-Test Lubuntu 19.04 daily (live)

// the following is selected bits pasted from my QA-TEST comment
// note in prior cut/pastes I only pasted the bit relating to each specific bug, but as they all relate (none occur until I change orientation of displays, then all are annoying-bugs, but if I change back display.orientation they all disappear) this will be all (without exceptions removed, eg. screensaver is different issue)

dell [optiplex] 960 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350)

/ plan is some simple stuff, then change setup to my used setup (vertical layout of my monitors)
// this is my most used system which has run Lubuntu 19.04 for all 2019; before then was mostly XFCE (a Ubuntu install back when 17.10 was testing with Xubuntu and Lubuntu added). I have been having fewer issues with display strangeness of my installed system than prior QA-tests using 'live' so this will be focus again today (as per recent hp8200 test)

pcmanfm-qt to play (expecting no issues before I re-arrange monitors, selecting random devices, folders, minimize, maximize
firefox (ublock origin, stream utube as window, f11, fullscreen on each monitor, maximize, minimize etc)
searching for an starting some music (dc7700 where I log this has poor speakers & it's annoying me), found some so `vlc` will be playing music from now on

// then adjust displays to my vertical placement & re-do what I just did...
// note: possibly typos on this system, I'm having issues with this model.m kbd browser & this dc7700 running ubu 14.04 (installed) that I normally don't have, so apologies for any strange things..

ZERO issues at this point on either screen, everything performs perfectly (as expected).
Closed pcmanfm-qt & firefox (vlc still running for background music)
Now change orientation of displays, pref->lxqtsett->monitor.settings_set.position
DVI-1 is setup directly BELOW DVI-0 (my real setup has slight horizontal diff, but that creates more issues I now ignore for qa-testing; vertical arrangement is simpler to replicate)
drag VLC so it's full onscreen (only left part was visible - ignoring this)..

pcmanfm-qt is perfect on top (dvi0) screen, selecting different folders or devices has no issue, selecting menus display as expected.. move it to dvd1 (bottom display) and warps/moves around screen partially obscured by panel & part on display0, part on display1 - https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1804329 & https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1812342
if i maximize pcmanfm-qt (dvi1, was good on dvi0) it goes full width but is only using ~2cm of display & so it useless https://bugs.launchpad.net/ubuntu/+source/lxqt-session/+bug/1809201 .. on minimize I get https://bugs.launchpad.net/ubuntu/+source/pcmanfm-qt/+bug/1804329

This is my USED system, and yet don't suffer this. Yes my system is hugely modified (xubuntu & ubuntu are installed, lots of apps, lots of changes but mostly to xfce)...

went and changed screensaver to 1 min, m6502 selected & wait... screen dims then screensaver operates on dvi0 but dvi1 returns to show what is was showing (unhidden).. I didn't have a changing window on that dis...

Read more...

Chris Guiver (guiverc) wrote :

sorry I copy/pasted too much in last comment;it mentioned screensaver issue more than it should have). apologies.

Chris Guiver (guiverc) on 2019-03-14
description: updated
Chris Guiver (guiverc) on 2019-03-16
no longer affects: pcmanfm-qt (Ubuntu)
Chris Guiver (guiverc) on 2019-03-16
no longer affects: openbox (Ubuntu)
Chris Guiver (guiverc) wrote :

QA-test Lubuntu 19.04 (daily 20190315) on hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)

I adjusted monitors to vertical as my displays are (prefs->lxqt.settings->monitor.settings) - monitor which was on the right (on bootup or default) is now below my the previous-left monitor

As part of text I open firefox; add ublock origin & stream youtube. I drag window around the two displays streaming news in small window, maximized, f11 & fullscreen.

I did a search for 'abc news 24' (local [au] news), and near the top was "abc news live stream" so I selected it. I opens https://iview.abc.net.au/show/abc-news-24 which has a "PLAY LIVE" button which I clicked - at which point my window jumped position !

I dragged window back to prior position, clicked <back> to put me at prior url & again PLAY LIVE caused the window position to change. Identical behavior as aforementioned bug report.

I am only getting this behavior on lower monitor/display (the one that was originally right on boot) If window is dragged to other display behavior is as expected.

-- additional info
The ABC news 24 button when pressed required me to enable DRM by clicking or doing something easy. I did it and the news started streaming, BUT it also stopped the behavior & I can no longer get a screenshot sorry (of where it jumped to).

Chris Guiver (guiverc) on 2019-04-11
description: updated
Chris Guiver (guiverc) on 2019-04-11
description: updated
Chris Guiver (guiverc) on 2019-04-11
description: updated
Chris Guiver (guiverc) wrote :

random note that may be of value, or complete red-herring

i'm dragging a directory from `dolphin` to `vlc` to view on fedora 30 running KDE and I just had the same behavior (hp 8200). on dropping my 'folder' into vlc the window moves so it's partially on top display, but most is on my bottom display. I'm not using LXQt (logged out of that awhile back due issues like this expecting them to be gone, alas no???) This may be pointless, but noted in case it's a clue to the bug (Qt or upstream of LXQt)??

Chris Guiver (guiverc) wrote :

Lubuntu 19.10 QA-Test on hp 8200 mentioned previously
I could NOT re-create this issue today.

-- from qa-test comments
hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)
adjust monitors to match setup (default-right is my primary & below other display)
move panel to my lower display
pcmanfm-qt to explore (no issues with https://bugs.launchpad.net/ubuntu/+source/lxqt-session/+bug/1804329)
--

I wonder if the movement of panel (rarely done in testing) to lower display is key (ie. causes value to be set that fixes the unset value cause), or issue has been fixed upstream.

Chris Guiver (guiverc) wrote :

continuation of comment #20 (still same QA-test) ...
-- from qa-test comments

I had finished, and saw https://bugs.launchpad.net/ubuntu/+source/sddm/+bug/1835621 so look at it ..
a `sudo service sddm restart` just restarted my LXQt desktop; alas my panel position had moved to top display but I'll ignore that.

grrr... reopened pcmanfm-qt to explore and window now moves on changing device (partition on hdd); https://bugs.launchpad.net/ubuntu/+source/lxqt-session/+bug/1804329

Chris Guiver (guiverc) on 2019-08-20
tags: added: eoan
Chris Guiver (guiverc) wrote :

hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)
purpose of this test is to start looking for old bugs & confirm focal impacted; these bugs are old & upstream issues and will impact very few end-users (impact me thus why chased)
boot up; adjust displays to match my setup (default-right display is below other display)
..
pcmanfm-qt when on bottom display and clicking devices (drive partitions) jumps so partially on top display, partially on bottom display - https://bugs.launchpad.net/ubuntu/+source/lxqt-session/+bug/1804329

tags: added: focal
Chris Guiver (guiverc) wrote :
Chris Guiver (guiverc) wrote :

Lubuntu 20.04 QA-Test 2019-11-12 test on
hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)

attempted to re-create this; and could NOT do so.

Chris Guiver (guiverc) wrote :

Lubuntu 20.04 QA-Test on
dell [optiplex] 960 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350)

This issue was re-created today. Please refer to comments on http://iso.qa.ubuntu.com/qatracker/milestones/408/builds/204243/testcases/1303/results/ as to what I did (started >60 mins ago)

Of primary note was once it issue was created..

Running `xfwm4 --replace` would STOP the issue from occurring.
Stopping xfwm4 followed by `openbox --replace` would have the issue RE-OCCUR.

Chris Guiver (guiverc) wrote :

Lubuntu 20.04 QA-Test on
hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)

grrr hitting 'places' in pcmanfm-qt causes window to warp to new position & be drawn between screens...

 the placement of the monitors (in Monitor.Settings) & KEEP.MONITORS.ATTACHED being checked is key, if I uncheck (keep.monitors.attached) and have a tiny gap between monitors, pcmanfm-qt moving around screen instantly stops...

Of note I re-checked KEEP.MONITORS.ATTACHED and put back to as they were before, and issue didn't re-occur???

(Last I did with this was try and work out what to write on upstream bug issue, but at times I become confused, and wasn't able to check/confirm my words in tests before posting on github, or it was sometimes confirmed, next try worked perfectly, so I never actually posted anything.... I think because of this I've avoided re-testing for this; today I wasn't actually re-testing for this issue and it just occurred...)

To post a comment you must log in.